Internet-Draft draft-example-of-xml-00
std

An Example of Using XML for an Internet Draft
Chris Smith
ExampleCorp
123 Exemplar Way
Anytown
California
95060
US
+1 123-456-7890 +1 123-456-7890 chrissmith@example.com http://www.example.com/corporate/
Kim Jones
jk@lmn.op
September 2014
General
Imaginary WG
XML
Imagination
This is an example of an abstract. It is a short paragraph that gives an overview of the document in order to help the reader determine whether or not they are interested in reading further.
This isn't a real RFC, just an example.
Introduction
This is the first paragraph of the introduction to this document. This introduction is probably much shorter than it would be for a real Internet Draft.
Something to note about this paragraph is that it has a pointer to Section 2, and one to Figure 1, both of which appear later in the document.
Terminology
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in [RFC2119].
The Protocol Being Described
This is a reference to [RFC6949]. Actually, the reference itself is not all that interesting, but the way that the reference is incorporated is. Note that the inclusion of RFC 2119 was done at the top of the XML, while the information for RFC 6949 is done directly in the references section.
The IETF web site is quite nice, isn't it? Unlike other web sites, it doesn't use gratuitous vertical space.
Basic Lists
Bulleted lists are good for items that are not ordered:
- This is the first item.
- This is the second item. Here comes a sub-list:
  - This is the first sub-item.
  - This is the second sub-item
and some more detail on the second sub-item.
- This is the item after the sub-list.
Numbered lists are good for items that are ordered:
1. This is the first item.
2. This is the second item. Here comes a sub-list, but with letters:
  1. This is the first sub-item.
  2. This is the second sub-item
3. This is the item after the sub-list.
And an example of hanging indent.
Trees
These are bigger plants
Lichen
These are smaller plants
And the always-interesting "format" for lists.
1. An element that gets a funny bullet.
Figures
The following is a figure with a caption. Also, it uses the ampersand (&) and less than (<) characters in the example text.
This could be haiku

      The ampersand (&) and
      less than (<) are two characters
      that need escaping.

Here are two short figures with no titles and with odd alignment.

   This might appear in the center.

   This might appear right-aligned.

ext-value     = charset  "'" [ language ] "'" value-chars
              ; like RFC 2231's <extended-initial-value>
              ; (see [RFC2231], Section 7)

charset       = "UTF-8" / mime-charset

mime-charset  = 1*mime-charsetc
mime-charsetc = ALPHA / DIGIT
              / "!" / "#" / "$" / "%" / "&"
              / "+" / "-" / "^" / "_" / "`"
              / "{" / "}" / "~"
              ; as <mime-charset> in Section 2.3 of [RFC2978]
              ; except that the single quote is not included
              ; SHOULD be registered in the IANA charset registry

;     language      = <Language-Tag, see [RFC5646], Section 2.1>
; from 5646

language      = 2*3ALPHA            ; shortest ISO 639 code
                 ["-" extlang]       ; sometimes followed by
                                     ; extended language subtags
               / 4ALPHA              ; or reserved for future use
               / 5*8ALPHA            ; or registered language subtag

value-chars   = *( pct-encoded / attr-char )

pct-encoded   = "%" HEXDIG HEXDIG
              ; see [RFC3986], Section 2.1

attr-char     = ALPHA / DIGIT
              / "!" / "#" / "$" / "&" / "+" / "-" / "."
              / "^" / "_" / "`" / "|" / "~"
              ; token except ( "*" / "'" / "%" )

   <md:EntityDescriptor xmlns:md="urn:oasis:names:tc:SAML:2.0:metadata"
     entityID="https://service.example.com/entity">
     <md:Extensions>
       <mdattr:EntityAttributes
         xmlns:mdattr="urn:oasis:names:tc:SAML:metadata:attribute">
         <Attribute xmlns="urn:oasis:names:tc:SAML:2.0:assertion"
           NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:uri"
           Name="http://macedir.org/entity-category">
           <AttributeValue
             >http://example.org/category/dog</AttributeValue>
           <AttributeValue>urn:oid:1.3.6.1.4.1.21829</AttributeValue>
         </Attribute>
       </mdattr:EntityAttributes>
     </md:Extensions>
     ...
   </md:EntityDescriptor>

Here is a figure that is actually pulled from somewhere else. Remember to check whether that file still exists.

Tables
The following is a table example.
These are sometimes called "inert" gasses.
Name | Symbol | Atomic Number
Helium | He | 2
Neon | Ne | 10
Argon | Ar | 18
Krypton | Kr | 36
Xenon | Xe | 54
Radon | Rn | 86
Source: Chemistry 101
The following is a right-aligned table with "full" (but not "all") lines between cells.
Time | Mood
Morning | Happy!
Afternoon | Happy!
Evening | Somber
IANA Considerations
None.
Security Considerations
There are no security considerations for an imaginary Internet Draft.
Acknowledgements
Some of the things included in this draft came from Elwyn Davies' templates.
Normative References
Informative References
[RFC6949]

RFC Series Format Requirements and Future Development
H. Flanagan
N. Brownlee
May 2013
RFC 6949
This is a primary reference work.
[RED]

Random Early Detection (RED) gateways for Congestion Avoidance
Sally Floyd
LBL
Van Jacobson
LBL
August 1993
IEEE/ACM Transactions on Networking 1(4) 397--413
[RFC2119]